datablock TSShapeConstructor(Wave_RacerDts)
{
	baseShape  = "./Wave_Racer.dts";
	sequence0  = "./Wave_Racer_root.dsq root";

	sequence1  = "./Wave_Racer_root.dsq run";
	sequence2  = "./Wave_Racer_root.dsq walk";
	sequence3  = "./Wave_Racer_root.dsq back";
	sequence4  = "./Wave_Racer_root.dsq side";

	sequence5  = "./Wave_Racer_root.dsq crouch";
	sequence6  = "./Wave_Racer_root.dsq crouchRun";
	sequence7  = "./Wave_Racer_root.dsq crouchBack";
	sequence8  = "./Wave_Racer_root.dsq crouchSide";

	sequence9  = "./Wave_Racer_root.dsq look";
	sequence10 = "./Wave_Racer_root.dsq headside";
	sequence11 = "./Wave_Racer_root.dsq headUp";

	sequence12 = "./Wave_Racer_root.dsq jump";
	sequence13 = "./Wave_Racer_root.dsq standjump";
	sequence14 = "./Wave_Racer_root.dsq fall";
	sequence15 = "./Wave_Racer_root.dsq land";

	sequence16 = "./Wave_Racer_root.dsq armAttack";
	sequence17 = "./Wave_Racer_root.dsq armReadyLeft";
	sequence18 = "./Wave_Racer_root.dsq armReadyRight";
	sequence19 = "./Wave_Racer_root.dsq armReadyBoth";
	sequence20 = "./Wave_Racer_root.dsq spearready";  
	sequence21 = "./Wave_Racer_root.dsq spearThrow";

	sequence22 = "./Wave_Racer_root.dsq talk";  

	sequence23 = "./Wave_Racer_root.dsq death1"; 
	
	sequence24 = "./Wave_Racer_root.dsq shiftUp";
	sequence25 = "./Wave_Racer_root.dsq shiftDown";
	sequence26 = "./Wave_Racer_root.dsq shiftAway";
	sequence27 = "./Wave_Racer_root.dsq shiftTo";
	sequence28 = "./Wave_Racer_root.dsq shiftLeft";
	sequence29 = "./Wave_Racer_root.dsq shiftRight";
	sequence30 = "./Wave_Racer_root.dsq rotCW";
	sequence31 = "./Wave_Racer_root.dsq rotCCW";

	sequence32 = "./Wave_Racer_root.dsq undo";
	sequence33 = "./Wave_Racer_root.dsq plant";

	sequence34 = "./Wave_Racer_root.dsq sit";

	sequence35 = "./Wave_Racer_root.dsq wrench";

   sequence36 = "./Wave_Racer_root.dsq activate";
   sequence37 = "./Wave_Racer_root.dsq activate2";

   sequence38 = "./Wave_Racer_root.dsq leftrecoil";
};  

datablock ParticleEmitterData(Wave_RacerFoamEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 3.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.5;
   thetaMin         = 80;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "PlayerFoamParticle";

   useEmitterColors = true;

   uiName = "Wave_Racer Foam";
};

datablock PlayerData(Wave_RacerArmor : PlayerStandardArmor)
{
	cameraVerticalOffset = 3;
	shapefile = "./Wave_Racer.dts";
	canJet = 0;
	mass = 50;
   drag = 0.017;
   density = 0.6;
   runSurfaceAngle = 1;
   jumpSurfaceAngle = 1;
   maxForwardSpeed = 0;
   maxBackwardSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxForwardCrouchSpeed = 0;
   maxSideSpeed = 0;
   maxSideCrouchSpeed = 0;
   maxStepHeight = 0;
   maxUnderwaterSideSpeed = 0;
    maxUnderwaterForwardSpeed = 80;
    maxUnderwaterBackwardSpeed = 2;

	uiName = "Wave Racer";
	showEnergyBar = false;
	
   jumpForce = 0;
   jumpEnergyDrain = 10000;
   minJumpEnergy = 10000;
   jumpDelay = 127;
   minJumpSpeed = 0;
   maxJumpSpeed = 0;
	
	rideable = true;
	canRide = false;
	paintable = true;
	
   boundingBox			= vectorScale("2 2 1", 4); 
   crouchBoundingBox	= vectorScale("2 2 1", 4);
	
   lookUpLimit = 0.65;
	lookDownLimit = 0.45;
	
   numMountPoints = 1;
   mountThread[0] = "sit";

   splashEmitter[0] = Wave_RacerFoamEmitter;
   splashEmitter[1] = Wave_RacerFoamEmitter;
   
   upMaxSpeed = 1;
   upResistSpeed = 1;
   upResistFactor = 1;
   maxdamage = 400;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   useCustomPainEffects = true;
   PainHighImage = "";
   PainMidImage  = "";
   PainLowImage  = "";
   painSound     = "";
   deathSound    = "";
};
